package com.logicbig.example;

import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/example-handler")
public class ExampleController {

    @RequestMapping(method = RequestMethod.POST)
    @ResponseBody
    public String handlePostRequest(String personName, String personAddress) {
        return String.format("simple response. name: %s, address: %s",
                personName, personAddress);
    }
}